[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sqldb' (#fcl)

# TSQLQuery.UpdateMode

How to create update SQL statements.

## Declaration

Source position: sqldb.pp line 484

`published property TSQLQuery.UpdateMode : TUpdateMode;`

## Description

UpdateMode determines how the WHERE clause of the UpdateSQL and DeleteSQL statements are auto-generated.

upWhereAll
  Use all old field values
upWhereChanged
  Use only old field values of modified fields
upWhereKeyOnly
  Only use key fields in the where clause.

## See also

TSQLQuery.UpdateSQL |  | Statement to be used when updating an existing row in the database
TSQLQuery.InsertSQL |  | Statement to be used when inserting a new row in the database

Documentation generated on: Feb 26 2014